USB_DEVICE_INTERFACE(9)

NAME
USB_DEVICE_INTERFACE_CLASS - describe a usb device with a specific interface class

SYNOPSIS

USB_DEVICE_INTERFACE_CLASS(vend, prod, cl);

ARGUMENTS

vend
    the 16 bit USB Vendor ID

prod
    the 16 bit USB Product ID

cl
    bInterfaceClass value

DESCRIPTION

This macro is used to create a struct usb_device_id that matches a specific interface class of devices.

COPYRIGHT